import React from 'react';
import Button from '../../components/CommonComponent/ButtonComponent/ButtonComponent'
import Clock from '../../components/CommonComponent/ClockComponent/ClockComponent'
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'

require('./index.css');

export default class FinishAskContainer extends React.Component{
    constructor(props){
        super(props);
        this.state = {
        }
        this.closeDoor = this.closeDoor.bind(this);
        this.selectTask = this.selectTask.bind(this);
    }

    componentWillMount(){
        this.props.endCountBack()
    }

    componentWillReceiveProps(nextProps){

    }

    selectTask(){
        console.log("selectTask")
        let {changePages} = this.props;
        changePages(CONFIG.showPage[9])
    }

    closeDoor(){
        console.log("closeDoor")
        this.props.showOpenDoorPage();
    }

    render(){
        let {userInfo,storeInfo} = this.props;
        return(
            <div>
                <HeaderComponent
                    showHeader={CONFIG.headerStatus[1]}
                    userinfo={userInfo}
                    storeInfo={storeInfo}
                />
                <div className={"finishAskContainer"}>
                    <div className={"finishAskText font32"}>
                        <p>感谢您的故障问题处理工作！</p>
                        <p>您是否有其它任务</p>
                    </div>
                    <div className={"finishAskButtons"}>
                        <Button text={"有"} style={{'marginTop':'120px'}} option={this.selectTask}/>
                        <Button text={"没有"} style={{'marginTop':'40px'}} option={this.closeDoor}/>
                        <Clock style={{'marginTop':'40px'}} totalTime={60}
                               callback={this.closeDoor}/>
                    </div>
                </div>
            </div>

        )
    }
}

FinishAskContainer.propTypes = {
};

FinishAskContainer.defaultProps = {
}